Bug 34850 - incorrect positioning when dragging newly-created frame (editing formatting ui)
Summary: incorrect positioning when dragging newly-created frame (editing formatting ui)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: x86-64 (AMD64) Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Frame
  Show dependency treegraph
 
Reported: 2011-02-28 15:48 UTC by Lawrence D'Oliveiro
Modified: 2021-06-12 03:49 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lawrence D'Oliveiro 2011-02-28 15:48:46 UTC
Start up LibreOffice Writer. Create a new, empty document. Select "Insert/Frame...". In the dialog that appears, under "Anchor", select "To page". Click OK to create a new, empty frame.

Without doing anything else, click and drag on any edge of the frame to reposition it anywhere on the page away from its original position. The moment you release the mouse, the frame will reappear in a position not quite the same as the one you were dragging it to.

Subsequent drags will leave it in the right place; it's only the initial one that is handled wrongly.
Comment 1 Cédric Bosdonnat 2011-03-02 08:45:05 UTC
Taking it.
Comment 2 Thomas Arnhold 2013-02-08 12:31:06 UTC
Cédric, this seems to be fixed. Works flawelessly with Version 4.0.0.3 (Build ID: 7545bee9c2a0782548772a21bc84a9dcc583b89) on Windows 7.
Comment 3 bfoman (inactive) 2013-05-21 10:29:07 UTC
I ask the assignee to close this issue per comment 2. Thanks.
Comment 4 Owen Genat (retired) 2013-11-16 04:09:58 UTC
Re-confirming what is stated in comment #2. Under Crunchbang 11 x86_64 running v4.1.3.2 this appears to work as expected.
Comment 5 Jean-Baptiste Faure 2013-11-30 14:54:32 UTC
Bug still reproducible with versions 4.1.5.0.0+ and 4.2.0.0.beta1.
The problem comes from the anchor parameters:

A/ steps to reproduce:
1- open a new empty text document
2- menu Insert > Frame
3- in the dialog choose anchor to page and validate (OK)
4- drag the frame southward
5- release the left button of the mouse
Current behavior: the frame moves northward the height of the top margin.

B/ How to _not_ reproduce: replace step 3- by
3a- in the dialog choose anchor to page
3b- in Position / Vertical choose "Entire page" instead of "Page text area"
3c- validate (OK)

Best regards. JBF
Comment 6 Lawrence D'Oliveiro 2013-11-30 22:33:48 UTC
Thanks, JBF. I am relieved that someone else has finally been able to reproduce this, and clarify something I hadn’t noticed before as well.

Just to add to that, you can also choose to anchor the horizontal position to the page text area instead of the entire page, and now the bug manifests itself in the horizontal direction.

Also I can add multiple frames to the same document, and the bug appears the first time I try to move each frame.
Comment 7 QA Administrators 2015-04-19 03:21:45 UTC Comment hidden (obsolete)
Comment 8 Gordo 2015-04-19 14:23:17 UTC
Still reproducible.

Windows Vista 64
Version: 4.4.2.2
Build ID: c4c7d32d0d49397cad38d62472b0bc8acff48dd6
Comment 9 Zenaan Harkness 2016-08-30 04:47:20 UTC
Confirm bug still present in LO5.2.0.4, Debian.
Comment 10 QA Administrators 2018-06-03 02:41:01 UTC Comment hidden (obsolete)
Comment 11 Lawrence D'Oliveiro 2018-06-03 04:17:56 UTC
Bug reconfirmed, LibreOffice version 6.0.4.2 (“Build ID: 1:6.0.4-1” on Debian Unstable AMD64.
Comment 12 QA Administrators 2019-06-04 02:50:22 UTC Comment hidden (obsolete)
Comment 13 Lawrence D'Oliveiro 2019-06-12 00:24:01 UTC
Bug reconfirmed, LibreOffice version Version: 6.1.5.2 (“Build ID: 1:6.1.5-3” on Debian Unstable AMD64.

Same time next year, then?
Comment 14 QA Administrators 2021-06-12 03:49:57 UTC
Dear Lawrence D'Oliveiro,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug